diff --git a/dlls/iphlpapi/iphlpapi.spec b/dlls/iphlpapi/iphlpapi.spec
index 36ba13f..655fda1c 100644
--- a/dlls/iphlpapi/iphlpapi.spec
+++ b/dlls/iphlpapi/iphlpapi.spec
@@ -245,7 +245,7 @@
 #@ stub ParseNetworkString
 @ stub _PfAddFiltersToInterface@24
 @ stub _PfAddGlobalFilterToInterface@8
-@ stub _PfBindInterfaceToIPAddress@12
+@ stdcall _PfBindInterfaceToIPAddress@12(long long ptr) PfBindInterfaceToIPAddress
 @ stub _PfBindInterfaceToIndex@16
 @ stdcall _PfCreateInterface@24(long long long long long ptr) PfCreateInterface
 @ stub _PfDeleteInterface@4
diff --git a/dlls/iphlpapi/iphlpapi_main.c b/dlls/iphlpapi/iphlpapi_main.c
index 70a063b..bd93863 100644
--- a/dlls/iphlpapi/iphlpapi_main.c
+++ b/dlls/iphlpapi/iphlpapi_main.c
@@ -2511,6 +2511,15 @@ DWORD WINAPI PfCreateInterface(DWORD dwName, PFFORWARD_ACTION inAction, PFFORWAR
 }
 
 /******************************************************************
+ *   PfBindInterfaceToIPAddress(IPHLPAPI.@)
+ */
+
+DWORD WINAPI PfBindInterfaceToIPAddress(INTERFACE_HANDLE pInterface, PFADDRESSTYPE type, PBYTE ip)
+{
+    FIXME("(%p %d %p) stub\n", pInterface, type, ip);
+    return ERROR_CALL_NOT_IMPLEMENTED;
+}
+/******************************************************************
  *    GetTcpTable2 (IPHLPAPI.@)
  */
 ULONG WINAPI GetTcpTable2(PMIB_TCPTABLE2 table, PULONG size, BOOL order)
